{ config, lib, pkgs, ... }:

{
  /*
  import = [ 
    ../../dm.nix
  ];
 */ 
  services = {
    gnome.gnome-keyring.enable = true;
    upower.enable = true;
    
    dbus = {
        enable = true;
        packages = [ pkgs.dconf ];
    };
    
    xserver = {
      #startDbusSession = true;

      libinput = {
        enable = true;
        #disableWhileTyping = true;
      };

      #displayManager.defaultSession = "none+xmonad";

      windowManager.xmonad = {
        enable = true;
        enableContribAndExtras = true;
 	extraPackages = haskellPackages: [
      	 haskellPackages.dbus
      	 haskellPackages.List
      	 haskellPackages.monad-logger
      	 haskellPackages.xmobar
      	 haskellPackages.xmonad-contrib
      	 haskellPackages.xmonad-extras
    	];
      };

      xkbOptions = "caps:ctrl_modifier";
      
      serverLayoutSection = ''
          Option "StandbyTime" "0"
          Option "SuspendTime" "0"
          Option "OffTime"     "0"
        '';
       
      displayManager = {
          defaultSession = "none+xmonad";
      };

    };
  };

  #hardware.bluetooth.enable = true;
  services.blueman.enable = true;

  systemd.services.upower.enable = true;

  environment.systemPackages = with pkgs; [
	alacritty
  ];
/*
 env = {
      XMONAD_CONFIG_DIR_HOME = "$XDG_CONFIG_HOME/xmonad";
      XMONAD_CACHE_DIR = "$XDG_CONFIG_HOME/xmonad";
      XMONAD_DATA_DIR = "$XDG_CONFIG_HOME/xmonad";
 };
 */

}
