{ lib, config, pkgs, ... }:
{
  hardware = {
    opengl = {
      extraPackages = with pkgs; [
        intel-media-driver
        intel-ocl
        vaapiIntel
        vaapiVdpau
        libvdpau
        libvdpau-va-gl
      ];
      enable = true;
      driSupport = true;
      driSupport32Bit = true;
    };
    video = { hidpi.enable = true; };
  };

  powerManagement = {
    enable = true;
    cpuFreqGovernor = "powersave";
    resumeCommands = ''
      modprobe -r psmouse
      modprobe psmouse
    '';
  };

}
